# $Revision: 1.144 $, $Date: 2008-02-19 22:06:18 $
#
# Conditional build:
%bcond_with	ares		# with c-ares (asynchronous DNS operations) library (disables IPv6)
%bcond_without	ssh		# without SSH support
%bcond_without	ssl		# without SSL support
%bcond_without	kerberos5	# without MIT Kerberos 5 support
#
Summary:	A utility for getting files from remote servers (FTP, HTTP, and others)
Summary(es.UTF-8):	Un cliente para bajar archivos de servidores (FTP, HTTP, y otros)
Summary(pl.UTF-8):	Narzędzie do ściągania plików z serwerów (FTP, HTTP i innych)
Summary(pt_BR.UTF-8):	Busca URL (suporta FTP, TELNET, LDAP, GOPHER, DICT, HTTP e HTTPS)
Summary(ru.UTF-8):	Утилита для получения файлов с серверов FTP, HTTP и других
Summary(uk.UTF-8):	Утиліта для отримання файлів з серверів FTP, HTTP та інших
Name:		curl
Version:	7.17.1
Release:	2
License:	MIT-like
Group:		Applications/Networking
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
# Source0-md5:	1fa635d1dfde8337c98c82749d75c1de
Patch0:		%{name}-no_strip.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-pc.patch
URL:		http://curl.haxx.se/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
%{?with_ares:BuildRequires:	c-ares-devel}
%{?with_kerberos5:BuildRequires:	krb5-devel}
BuildRequires:	libidn-devel >= 0.4.1
%{?with_ssh:BuildRequires:	libssh2-devel >= 0.16}
BuildRequires:	libtool
BuildRequires:	openldap-devel
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libidn >= 0.4.1
%{?with_ssh:Requires:	libssh2 >= 0.16}
Requires:	openssl-tools >= 0.9.7d
Obsoletes:	libcurl2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cURL is a tool for getting files with URL syntax, supporting FTP,
HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP. cURL supports HTTP
POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies,
cookies, user+password authentication and a busload of other useful
tricks. The main use for curl is when you want to get or send files
automatically to or from a site using one of the supported protocols.

cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%description -l pl.UTF-8
cURL jest narzędziem do ściągania plików o składni URL. Obsługuje FTP,
HTTP, HTTPS, GOPHER, TELNET, DICT, FILE i LDAP. cURL obsługuje również
HTTP POST, HTTP PUT, załadowywanie (uploading) FTP, załadowywanie HTTP
oparte na formularzu, serwery proksy, ciasteczka, autoryzacja
użytkownik/hasło oraz wiele innych użytecznych sztuczek. Curla używa
się głównie wtedy, kiedy chce się automatycznie ściągnąć lub wysłać
pliki z/na serwer używając jednego z dostępnych protokołów.
%{?with_ssl:Ten pakiet obsługuje także SSL.}

%description -l pt_BR.UTF-8
Curl é um cliente para baixar/enviar arquivos de/para servidores
usando um dos protocolos suportados. É projetado para funcionar sem a
interação do usuário.

Curl trabalha com proxy, autenticação, FTP put, HTTP post, e pode
continuar transferências interrompidas, e mais...

%description -l ru.UTF-8
curl - это клиент с множеством поддерживаемых протоколов для получения
файлов с серверов, спроектированный для работы как в неинтерактивном
режиме, так и с возможностью диалога с пользователем.

curl поддерживает много полезных возможностей, среди которых поддержка
прокси, авторизация пользователя, закачивание по FTP, поддержка HTTP
POST, восстановление прерванной пересылки и многое другое.

curl - це кл╕╓нт з багатьма п╕дтримуваними протоколами для отримання
файл╕в з сервер╕в, спроектований для роботи як в не╕нтерактивному
режим╕, так ╕ з можлив╕стю д╕алогу з користувачем.

curl п╕дтриму╓ багато корисних можливостей, серед яких п╕дтримка
прокс╕, авторизац╕я користувача, в╕двантаження по FTP, HTTP POST,
в╕дновлення перервано╖ пересилки та багато ╕ншого.

%package libs
Summary:	curl library
Summary(pl.UTF-8):	Biblioteka curl
Group:		Libraries

%description libs
curl library.

%description libs -l pl.UTF-8
Biblioteka curl.

%package devel
Summary:	Header files and development documentation for curl library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki curl
Summary(pt_BR.UTF-8):	Arquivos de cabeçalho e bibliotecas de desenvolvimento
Summary(ru.UTF-8):	Файлы для разработки с использованием библиотеки curl
Summary(uk.UTF-8):	Файли для розробки з використанням бібліотеки curl
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_ares:Requires:	c-ares-devel}
%{?with_kerberos5:Requires:	krb5-devel}
Requires:	libidn-devel >= 0.4.1
%{?with_ssh:Requires:	libssh2-devel >= 0.16}
%{?with_ssl:Requires:	openssl-devel >= 0.9.7c}
Requires:	zlib-devel
Obsoletes:	libcurl2-devel

%description devel
Header files and development documentation for curl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki curl.

%description devel -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas de desenvolvimento.

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ с
использованием библиотеки curl.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм з
використанням бібліотеки curl.

%package static
Summary:	Static version of curl library
Summary(pl.UTF-8):	Statyczna wersja biblioteki curl
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o curl
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием библиотеки curl
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням бібліотеки curl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of curl library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki curl.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o curl.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку для разработки программ с
использованием библиотеки curl.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку для розробки програм з
використанням бібліотеки curl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_header_gss_h=no \
	%{?with_ssl:--with-ssl=%{_prefix}} \
	%{?with_ssl:--with-ca-bundle=/usr/share/ssl/ca-bundle.crt} \
	%{?with_kerberos5:--with-gssapi=%{_prefix}} \
	%{?with_ares:--enable-ares=%{_prefix}} \
	--%{?with_ares:dis}%{!?with_ares:en}able-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README docs/{BUGS,FAQ,FEATURES,HISTORY,KNOWN_BUGS,MANUAL,SSLCERTS,THANKS,TODO,TheArtOfHttpScripting}
%attr(755,root,root) %{_bindir}/curl
%{_mandir}/man1/curl.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcurl.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/{CONTRIBUTE,INTERNALS,LICENSE-MIXING,RESOURCES}
%attr(755,root,root) %{_bindir}/curl-config
%attr(755,root,root) %{_libdir}/libcurl.so
%{_libdir}/libcurl.la
%{_includedir}/curl
%{_pkgconfigdir}/libcurl.pc
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*curl*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcurl.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: curl.spec,v $
Revision 1.144  2008-02-19 22:06:18  glen
- revert openldap version bump

Revision 1.143  2007-11-03 12:24:13  baggins
- rel 2

Revision 1.142  2007/11/03 10:43:01  qboosh
- BR: openldap-devel

Revision 1.141  2007/10/31 18:59:54  adamg
- updated to 7.17.1

Revision 1.140  2007/10/25 15:46:38  qboosh
- bconded libssh2 dep (noticed by glen)

Revision 1.139  2007/10/25 15:42:04  qboosh
- versioned libssh2 Rs

Revision 1.138  2007/09/14 14:32:52  adamg
- updated to 7.17.0

Revision 1.137  2007/09/10 14:08:47  megabajt
- release 2

Revision 1.136  2007/08/05 10:49:45  qboosh
- -devel R: libssh2-devel

Revision 1.135  2007/07/13 11:09:37  arekm
- up to 7.16.4

Revision 1.134  2007/07/03 09:06:01  arekm
- rel 2

Revision 1.133  2007/06/30 20:18:15  arekm
- up to 7.16.3

Revision 1.132  2007/06/24 17:30:40  qboosh
- added pc patch to sanitize `pkg-config --libs libcurl` output

Revision 1.131  2007/06/14 17:27:21  qboosh
- really use MIT krb5, not GNU gss
- release 2

Revision 1.130  2007/04/18 08:04:56  qboosh
- updated to 7.16.2
- updated no_strip patch

Revision 1.129  2007/03/31 22:51:12  baggins
- unify kerberos5 bconds

Revision 1.128  2007/03/31 21:14:40  baggins
- rel 2
- s/heimdal/krb5/
- removed obsolete heimdal patch

Revision 1.127  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.126  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.125  2007/01/30 17:47:44  charles
- -devel R: c-ares-devel (if with ares)

Revision 1.124  2007/01/30 17:44:17  charles
- updated to 7.16.1
- added SSH suport (with bcond); BR: libssh2-devel

Revision 1.123  2006/10/30 20:49:06  qboosh
- -devel R: zlib-devel

Revision 1.122  2006/10/30 17:44:59  charles
- updated to 7.16.0
- BR: zlb-devel (zlib support)

Revision 1.121  2006/08/09 10:06:47  vip
- up to 7.15.5

Revision 1.120  2006/08/05 19:29:45  wolf
- rel 2

Revision 1.119  2006/06/22 21:48:19  shadzik
- up to 7.15.4

Revision 1.118  2006/04/23 15:46:05  adamg
- bcond for building with c-ares support (disables ipv6 though)

Revision 1.117  2006/03/22 12:45:22  glen
- up to 7.15.3, resolves CVE-2006-1061

Revision 1.116  2006/03/05 08:55:04  qboosh
- updated to 7.15.2

Revision 1.115  2006/02/20 19:57:54  qboosh
- pass --with-gssapi instead of --with-gssapi-includes to get more sane -L flag

Revision 1.114  2005/12/14 11:59:07  qboosh
- updated to 7.15.1 (fixes CVE-2005-4077)

Revision 1.113  2005/11/01 23:26:13  qboosh
- unified: -libs just before -devel

Revision 1.112  2005/11/01 23:21:57  glen
- rel 3

Revision 1.111  2005/11/01 23:19:38  qboosh
- pl for -libs

Revision 1.110  2005/11/01 20:46:36  glen
- -libs subpackage

Revision 1.109  2005/10/18 08:47:43  glen
- reverted

Revision 1.108  2005/10/17 23:22:11  glen
- gss-devel for -devel if heimdal was enabled (fixes libcurl.la having libgss.la not required)

Revision 1.107  2005/10/16 20:02:19  arekm
- rel 2; always use heimdal; patch by Kacper Kornet.

Revision 1.106  2005/10/14 10:37:19  qboosh
- added CAN number to previous commit message

Revision 1.105  2005/10/13 09:25:15  qboosh
- updated to 7.15.0 (incl. security fix in NTLM auth code [CAN-2005-3185])
- removed obsolete ipv6proxy patch

Revision 1.104  2005/07/08 18:06:23  arekm
- BR heimdal-devel >= 0.7

Revision 1.103  2005/05/31 15:09:45  aredridel
- added ipv6proxy patch

Revision 1.102  2005/05/26 11:25:28  kolodko
- up to 7.14.0
- rel 0.1

Revision 1.101  2005/04/08 21:32:25  adamg
- updated to 7.13.2

Revision 1.100  2005/03/05 13:28:18  qboosh
- updated to 7.13.1 (bugfixes)

Revision 1.99  2005/02/05 22:34:45  qboosh
- cleanup

Revision 1.98  2005/02/05 22:31:28  qboosh
- updated to 7.13.0
- License is modified BSD/MIT style
- revised docs split

Revision 1.97  2004/12/21 15:24:11  adamg
- updated to 7.12.3

Revision 1.96  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.95  2004/11/16 17:50:37  undefine
- release 2

Revision 1.94  2004/11/10 23:10:41  undefine
- require heimdal-devel by devel when compiled with heimdal

Revision 1.93  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.92  2004/10/21 19:18:10  pluto
- heimdal bconded.

Revision 1.91  2004/10/21 19:04:13  pluto
- bcond fixed (spaces -> tab).

Revision 1.90  2004/10/18 21:14:29  adamg
- updated to 7.12.2

Revision 1.89  2004/08/13 00:30:57  arekm
- rel2 (enable ipv6 always if requested; enabled gssapi via heimdal)

Revision 1.88  2004/08/12 10:34:11  qboosh
- strict internal deps, added missing BR+R libidn-devel

Revision 1.87  2004/08/11 17:43:11  adamg
- updated to 7.12.1

Revision 1.86  2004/06/13 20:18:15  arekm
- updated to 7.12.0

Revision 1.85  2004/05/01 18:47:21  adamg
- updated to 7.11.2

Revision 1.84  2004/03/24 15:30:00  eothane
- up to 7.11.1; builds

Revision 1.83  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.82  2004/01/30 19:51:52  eothane
- bconds, few cleanups

Revision 1.81  2004/01/22 18:30:52  areq
- 7.11.0

Revision 1.80  2003/12/20 19:00:03  arekm
- fix amd64 build

Revision 1.79  2003/11/01 22:36:30  areq
- 7.10.8

Revision 1.78  2003/10/03 09:07:28  qboosh
- -devel R: openssl-devel

Revision 1.77  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.76  2003/08/15 16:10:04  undefine
- update to 7.10.7 ( This release supports NTLM for proxies, --ftp-create-dirs,
  and optional support for asynchronous name-resolving calls.It fixes an
  information leak, minor memory leaks, a 64bit problem, two cookie-related
  problems, URL globbing output using -o #[num], and more.)

Revision 1.75  2003/08/12 21:40:23  qboosh
- typo

Revision 1.74  2003/07/28 15:46:37  adamg
- updated to 7.10.6

Revision 1.73  2003/06/14 15:00:22  matkor
- Fixed md5.

Revision 1.72  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.71  2003/05/25 05:46:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.70  2003/05/19 14:50:41  areq
- 7.10.5

Revision 1.69  2003/04/02 11:27:21  areq
- 7.10.4

Revision 1.68  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.67  2003/01/23 20:19:32  qboosh
- 7.10.3

Revision 1.66  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.65  2002/11/19 12:12:01  areq
- 7.10.2, STBR

Revision 1.64  2002/10/22 17:12:15  kloczek
- pass CA bundle file name conditionaly depending on using SSL support.

Revision 1.63  2002/10/22 17:10:23  kloczek
- use /usr/share/ssl/ca-bundle.crt as CA bundle file.

Revision 1.62  2002/10/22 15:35:59  kloczek
- updated to 7.10.1: bug fixes.

Revision 1.61  2002/10/03 08:21:46  misiek
- add symlink to openssl CA chain file

Revision 1.60  2002/10/02 11:35:19  misiek
- updated to 7.10 (fixes segfault with --interface option)

Revision 1.59  2002/06/27 07:31:34  kloczek
- updated to 7.9.8 (fixed some format strings problems and other fixes),
- merge fix-proto patch from RH,
- use new %doc.

Revision 1.58  2002/05/15 05:50:16  kloczek
- updated to 7.9.7.

Revision 1.57  2002/04/25 16:08:16  arturs
- fixed a small typo

Revision 1.56  2002/04/23 19:41:26  kloczek
- updated to 7.9.6 (bugfix version).

Revision 1.55  2002/04/04 18:53:52  kloczek
- bump release to 3 and merge translations from KSI.

Revision 1.54  2002/04/04 18:19:37  pioklo
- updated 7.9.5 ,STBR

Revision 1.53  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.52  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/02/05 15:45:58  areq
- 7.9.4 Bugfixes
- STBR

Revision 1.50  2002/01/27 00:03:00  kloczek
- updated to 7.9.3 and removed readtimeout-fix patch which seems now isn't
  neccessary.

Revision 1.49  2002/01/18 02:12:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2002/01/02 18:22:48  kloczek
- release2: libcurl2{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.47  2001/12/15 17:27:03  kloczek
- updated to 7.9.2 (bug fixes and improvements; details in CHANGES).

Revision 1.46  2001/11/04 19:32:03  areq
- 7.9.1, STBR
- update curl-readtimeout-fix

Revision 1.45  2001/10/27 20:08:05  kloczek
- adapterized.

Revision 1.44  2001/10/27 14:07:38  mis
- added curl-readtimeout-fix.patch; release 2; STB

Revision 1.43  2001/10/03 08:20:59  mis
- completed docs

Revision 1.42  2001/09/27 08:41:11  migo
- fixed polish summary

Revision 1.41  2001/09/25 14:31:40  areq
- 7.9, STBR

Revision 1.40  2001/08/23 04:43:26  kloczek
- upadated to 7.8.1 and removed obsoleted patched (now aplayed to main
  stream sources).

Revision 1.39  2001/07/03 17:08:07  mis
- added progress-fix.patch (release 4)

Revision 1.38  2001/06/27 20:35:22  klakier
- curl-config --libs returned "-s -lssl -lcrypto -ldl", removed LDFLAGS to
  not propagate -s

Revision 1.37  2001/06/16 21:21:33  misiek
- fix so name (patch from curl maling list)
- release 3

Revision 1.36  2001/06/10 23:48:37  kloczek
- typo.

Revision 1.35  2001/06/10 23:33:01  kloczek
- release 2: added --with-ipv6 to ac options.

Revision 1.34  2001/06/07 20:29:09  areq
- 7.8, STBR

Revision 1.33  2001/05/22 09:06:15  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_
  -> _without_); no release changes only simple s/// perfored

Revision 1.32  2001/05/19 12:55:49  klakier
- added forgotten curl-config

Revision 1.31  2001/05/18 19:04:08  mis
- updated to 7.7.4-pre2

Revision 1.30  2001/05/15 09:44:34  mis
- updated to 7.7.4-pre1

Revision 1.29  2001/05/09 00:03:32  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.28  2001/05/07 16:21:02  kloczek
- updated to 7.7.3.

Revision 1.27  2001/05/06 20:05:38  mis
- revert autodowngrade

Revision 1.25  2001/04/23 16:45:16  areq
- 7.7.2

Revision 1.24  2001/04/04 15:41:57  kloczek
- fixed %files list.

Revision 1.23  2001/04/04 15:32:26  mis
- autoupdated to 7.7.1

Revision 1.22  2001/03/23 13:17:55  mis
- updated (by autoup) to 7.7

Revision 1.21  2001/02/13 21:55:30  areq
- 7.6.1

Revision 1.20  2001/02/10 04:50:21  kloczek
- missing ? in bcond macros.

Revision 1.19  2001/02/10 04:45:51  kloczek
- release 2: added bcond for off ssl.

Revision 1.18  2001/01/29 14:56:50  kloczek
- updated to 7.6.

Revision 1.17  2001/01/04 20:19:10  kloczek
- updated to 7.5.2.

Revision 1.16  2000/12/11 18:09:45  mis
- up to 7.5.1

Revision 1.15  2000/12/05 09:44:28  mis
- up to 7.5

Revision 1.14  2000/11/15 15:48:51  mis
- updated to 7.4.2

Revision 1.13  2000/10/19 11:46:32  mis
- updated to 7.4.1

Revision 1.12  2000/09/30 20:39:47  kloczek
- adapterized.

Revision 1.11  2000/09/29 09:21:24  mis
- updated to 7.3

Revision 1.10  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.6  2000/03/28 11:10:59  arturs
- typo

Revision 1.5  2000/03/27 14:21:15  arturs
- added %description -l pl

Revision 1.4  2000/03/23 10:11:40  kloczek
- updated to 6.5.2.

Revision 1.3  2000/01/17 01:17:18  kloczek
- updated to 6.4.

Revision 1.2  2000/01/06 02:21:17  kloczek
- updated to 6.3.1,
- rewritesd in PLD packaging style,
- updated Source url and URL.

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Aug 26 1999 Tim Powers <timp@redhat.com>
- changelog started
- general cleanups, changed prefix to /usr, added manpage to files section
- including in Powertools
